[project]
name = "mask-ddpm"
version = "0.0.0"
description = "Hybrid diffusion example for ICS traffic feature generation."
requires-python = ">=3.12"
dependencies = [
    "matplotlib>=3.10.8",
    "numpy>=2.4.2",
    "pandas>=3.0.0",
    "scipy>=1.17.0",
    "textwrap3>=0.9.2",
]

[tool.uv]
dev-dependencies = []
